Simple Guide on how to jailbreak iphone ipad running on iOS 8.3 & 8.4

Update : This latest jailbreak tool can support up to iOS version 8.4!

The latest jailbreak tool for iOS version 8.3 / 8.4 is out.

The TaiG iOS 8.4 – iOS 8.1.3 jailbreak is compatible with the following devices:

  • iPhone 6, iPhone 6 Plus, iPhone 5s, iPhone 5c, iPhone 5 and iPhone 4s
  • iPad Air 2, iPad mini 3, iPad Air, iPad 4, iPad 3 and iPad 2
  • iPad mini 1 (1st generation iPad mini), iPad mini 2 (Retina iPad mini), iPad mini 3
  • iPod touch 5th generation


Do a backup of your iOS devices using iTunes.

Connect your iOS device to your laptop or PC with the USB cable.

Turn off Passcode or Touch ID (Fingerprint ID) on your device.

Turn off Settings > iCloud > Find my iPhone/iPad.

Download the TaiG jailbreak tool here

Note : This tool is currently meant for Laptops or PCs running Windows Operating System only.

When fully downloaded, extract the file into a folder.

Run the file TaiGJbreak_EN.exe as an Administrator (Right click on the file and select from the pop up menu)

Click Start and it will detect your device.

While running the jailbreak tool, if you get the following error message “Apple driver has not been found please download and install iTunes”, you will need to download and install your iTunes with the installer from this link.

(Optional) Deselect the 3K Assistant 2.3.0 (TaiG’s App Store) option, if you DO NOT wish to install the TaiG 3K Appstore which is an alternative (and illegal) Appstore which allows you to download paid apps for free (i.e. illegal pirated apps!). Select this option at your own risk and responsibility.

Let the jailbreak tool do its job, it will reboot your iOS device a few times and inform you when its done.

When jailbroken successfully, you will see the Cydia icon on your device. If you don't, do a spotlight search for it. Re-run the jailbreak tool if necessary.

Done. For more details on how to make full use of your newly jailbroken device, you can google about it.

It will not work if your device is running later versions than 8.4.

Ad Links by Google